Subject: bug#23432: 25.0.93; Email from Gnus now going out with Message-IDs @gmail.com

From: [email-masked] (N. Jackson)
Date: Wed, 04 May 2016 21:10:07 -0300

At 22:27 +0100 on Wednesday 2016-05-04, Phillip Lord wrote:
>
> Still, you've got to laugh...
>
> It is supposed to check, though:
>
>    (message-check 'shoot
>      (if (re-search-forward
> 	  "Message-ID.*.i-did-not-set--mail-host-address--so-tickle-me" nil t)
> 	 (y-or-n-p "You appear to have a misconfigured system.  Really post? ")
>        t))
>
> So, I wonder why that is failing. Even if the message were less
> whimsical, the fallback is supposed to have been captured.

Aha! You are quite right Phil. A more careful search shows that every
instance of this string in my mail and news directories is in a message
that is  in a drafts folder; they were never sent!

I was confused by

     ;; Default to this bogus thing.
     (t
      (concat sysname
	      ".i-did-not-set--mail-host-address--so-tickle-me")))))

where this value is set. I'd missed that it was trapped later.

Yeah, it is quite amusing. But not when I'm sending formal emails to
potential employers!

N.